body {
  font-family: 'Varela Round', sans-serif;
  .dark {
    background-color: $black;
  }
  .light {
    background-color: $white;
  }
}

.home {
  display: flex;
  flex-flow: row wrap;
  &>* {
    flex: 1 100%;
  }
}

.particles {
  position: absolute;
  display: block;
  order: 1;
  top: 0;
  left: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
}

.toggle {
  position: fixed;
  top: 2%;
  right: 2%;
  width: 60px;
  .mask {
    width: 60px;
    height: 60px;
    overflow: hidden;
    .icon-wrap {
      padding: 15px;
      transition: all 300ms 400ms ease;
      &:last-child {
        transform: translatey(-60px);
      }
    }
    .icon {
      width: 30px;
      height: 30px;
      border-radius: 50%;
    }
    .active {
      transition-delay: 100ms;
      &:first-child {
        transform: translatey(60px);
      }
      &:last-child {
        transform: translatey(0);
      }
    }
    .sun {
      background-color: $white;
    }
    .moon {
      background-color: $black;
    }
  }
  .bar {
    width: 40%;
    height: 5px;
    margin: 0 auto;
    background-color: $black;
    transition: all 300ms 100ms ease;
    &.dark {
      background-color: $white;
    }
  }
}
.dark-theme {
  h1,
  h2,
  .social ul a,
  .contact-form {
    color: $white;
  }
  .btn {
    color: $white;
    border: 1px solid $white;
    &:before {
      background-color: $white;
    }
    &:after {
      background-color: $white;
    }
    &:hover {
      color: $black;
    }
  }
  .vue-typer .custom.char.typed {
    color: $white;
  }
}

.light-theme {
  h1,
  h2,
  .social ul a,
  .contact-form {
    color: $black;
  }
  .btn {
    color: $black;
    border: 1px solid $black;
    &:before {
      background-color: $black;
    }
    &:after {
      background-color: $black;
    }
    &:hover {
      color: $white;
    }
  }
  .vue-typer .custom.char.typed {
    color: $black;
  }
}

.hero {
  font-size: 20px;
  font-weight: 500;
  h1 {
    font-size: 2.5rem;
  }
  h2 {
    font-size: 2rem;
  }
}

@-webkit-keyframes criss-cross-left {
  0% {
    left: -20px;
  }
  50% {
    left: 50%;
    width: 20px;
    height: 20px;
  }
  100% {
    left: 50%;
    width: 375px;
    height: 375px;
  }
}

@keyframes criss-cross-left {
  0% {
    left: -20px;
  }
  50% {
    left: 50%;
    width: 20px;
    height: 20px;
  }
  100% {
    left: 50%;
    width: 375px;
    height: 375px;
  }
}
@-webkit-keyframes criss-cross-right {
  0% {
    right: -20px;
  }
  50% {
    right: 50%;
    width: 20px;
    height: 20px;
  }
  100% {
    right: 50%;
    width: 375px;
    height: 375px;
  }
}
@keyframes criss-cross-right {
  0% {
    right: -20px;
  }
  50% {
    right: 50%;
    width: 20px;
    height: 20px;
  }
  100% {
    right: 50%;
    width: 375px;
    height: 375px;
  }
}
.btn {
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 80px;
  max-width: 250px;
  margin: 1rem auto;
  text-transform: uppercase;
  border-radius: 5px;;
  text-align: center;
  text-decoration: none;
  line-height: 80px;
  &:before {
    position: absolute;
    top: 50%;
    content: '';
    width: 20px;
    height: 20px;
    border-radius: 50%;
    z-index: -1;
    transition: 0.5s ease-in-out;
    left: -20px;
    -webkit-transform: translate(-50%, -50%);
            transform: translate(-50%, -50%);
  }
  &:after {
    position: absolute;
    top: 50%;
    content: '';
    width: 20px;
    height: 20px;
    border-radius: 50%;
    z-index: -1;
    transition: 0.5s ease-in-out;
    right: -20px;
    -webkit-transform: translate(50%, -50%);
            transform: translate(50%, -50%);
  }
  &:hover {
    &:before {
      -webkit-animation: criss-cross-left 0.8s both;
              animation: criss-cross-left 0.8s both;
      -webkit-animation-direction: alternate;
              animation-direction: alternate;
    }
    &:after {
      -webkit-animation: criss-cross-right 0.8s both;
              animation: criss-cross-right 0.8s both;
      -webkit-animation-direction: alternate;
              animation-direction: alternate;
    }
  }
}

.social {
  padding-top: 2rem;
  text-align: center;
  ul {
    padding: 0;
    margin: 0;
    a {
      display: inline-block;
      padding: 5px;
    }
  }
}

.contact-form {
  font-family: 'Varela Round', sans-serif;
  font-size: 20px;
}

form {
  width: 100%;
}

.container-fluid {
  width: 60%;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
  h2 {
    font-size: 2rem;
  }
}

.form-group {
  margin-bottom: 1rem;
}

.form-control {
  display: flex;
  width: 100%;
  height: calc(2.25rem + 2px);
  padding: .375rem .75rem;
  font-size: 1rem;
  line-height: 1.5;
  color: #495057;
  background-color: transparent;
  background-clip: padding-box;
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
  border-top-width: 0px;
  border-bottom-width: 3px;
  border-left-width: 0px;
  border-right-width: 0px;
  border-color: #0D47A1;
  border-style: solid;
  border-radius: 0px;
  &:focus {
    color: #fff;
    background-color: transparent;
    border-color: #03A9F4;
    box-shadow: none;
    outline: transparent;
  }
}

input {
  overflow: visible;
}

@media (max-width: 991px) {
  .container-fluid {
    width: 100%;
  }
}